aboutsummaryrefslogtreecommitdiffstats
path: root/community/imapsync/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-09-21 22:22:28 +0000
committerJakub Jirutka <jakub@jirutka.cz>2016-09-23 02:12:02 +0200
commit5b9231dfb11e9e8b557d2c84de5de84399ab7b80 (patch)
tree5e5fac12b8a2ad5446af56192f9e1a48c634e549 /community/imapsync/APKBUILD
parent6ee7047ce242d7d53ef16735090bce31ae5c4d82 (diff)
downloadaports-5b9231dfb11e9e8b557d2c84de5de84399ab7b80.tar.gz
aports-5b9231dfb11e9e8b557d2c84de5de84399ab7b80.tar.bz2
aports-5b9231dfb11e9e8b557d2c84de5de84399ab7b80.tar.xz
community/imapsync: move from testing and update to 1.727
Diffstat (limited to 'community/imapsync/APKBUILD')
-rw-r--r--community/imapsync/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/community/imapsync/APKBUILD b/community/imapsync/APKBUILD
new file mode 100644
index 0000000000..6d4d2e26e6
--- /dev/null
+++ b/community/imapsync/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=imapsync
+pkgver=1.727
+pkgrel=0
+pkgdesc="IMAP synchronisation, sync, copy or migration tool"
+url="http://imapsync.lamiral.info"
+arch="noarch"
+license="custom"
+depends="perl-digest-hmac perl-authen-ntlm perl-io-compress perl-data-dumper
+ perl-data-uniqid perl-digest-md5 perl-file-copy-recursive perl-io-socket-inet6
+ perl-io-socket-ssl perl-io-tee perl-mail-imapclient perl-parse-recdescent
+ perl-term-readkey perl-test-pod perl-test-tester perl-unicode-string perl-uri
+ perl-test-mockobject perl-readonly perl-json-webtoken"
+makedepends="perl-module-scandeps perl-par-packer"
+subpackages="$pkgname-doc"
+source="https://github.com/$pkgname/$pkgname/archive/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgname-$pkgver"
+
+package() {
+ cd "$builddir"
+
+ make DESTDIR="$pkgdir" install || return 1
+
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+ install -Dm644 FAQ.d/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+
+md5sums="e753235abed1d8162f2c9adbc916291c imapsync-1.727.tar.gz"
+sha256sums="5028727d476a581335105ff24ea677311afa5ce6f812f0926cb2377635791468 imapsync-1.727.tar.gz"
+sha512sums="b5ab0f3b4ae12d9d65d5c65e65fa5778ade5ac68432523fcb6839e84af742abf5a3ca0a04d3308936c7b99f16415b9d8076f96ec37d84e82dcdf53413f625e75 imapsync-1.727.tar.gz"